commit:     a016f7ecec5f4166381f658f70efa46ed6e13bf3
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  1 13:10:48 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Fri Jan  1 14:53:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a016f7ec

app-crypt/seahorse-sharing: version bump to git snapshot

Add support for gnupg-2.1 and updated translations.

Package-Manager: portage-2.2.26

 app-crypt/seahorse-sharing/Manifest                |  1 +
 .../seahorse-sharing-3.8.0_p20151117.ebuild        | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-crypt/seahorse-sharing/Manifest 
b/app-crypt/seahorse-sharing/Manifest
index 6757537..9d80235 100644
--- a/app-crypt/seahorse-sharing/Manifest
+++ b/app-crypt/seahorse-sharing/Manifest
@@ -1 +1,2 @@
 DIST seahorse-sharing-3.8.0.tar.xz 287408 SHA256 
e216e7d5709e688e142b4e96710759f5be54c39ac6c2d58f2eec330e4dfef92b SHA512 
9fb41d86afb264c895e6599b397bf18c1400edf0af472451fc46c84005172bd8d318971c4b34ea1f6d00300b1e08fdea8a019d6e7fb11f9ce00c57c5b0b7f5e9
 WHIRLPOOL 
d55660e37649190e037dfc3ee886737b30b7d289c379ce9beec927008208742ef3b558fa5f3b0fd30a24deb0bdafce4c1ff910108a9dcfb2b70052adfdfe3567
+DIST seahorse-sharing-3.8.0_p20151117.tar.gz 496497 SHA256 
6a1594e2b5aa509c97a35e22a7a68dae50a94b011e266d60f17352eca3f919ff SHA512 
aa43240040f637e3c79c08f07620a92e5e76e81b758c939a8eee5bf43cdd32657f85d4b9d7440401e092ef4d556849ba0a64dc9d5a83e708bc84d9a2d7baf01c
 WHIRLPOOL 
82b782baa19cb6befd7650a0a08772d47dc2acfffa7bd15df360af05c02f080291d2fedb832b1b3bb7b7aa47fbb1db4911fb83a94de2ea75360b188c86bcca61

diff --git a/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0_p20151117.ebuild 
b/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0_p20151117.ebuild
new file mode 100644
index 0000000..ac67ccb
--- /dev/null
+++ b/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0_p20151117.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # disable asserts
+
+inherit gnome2
+
+DESCRIPTION="Daemon for PGP public key sharing using DNS-SD and HKP"
+HOMEPAGE="https://projects.gnome.org/seahorse/";
+SRC_URI="https://dev.gentoo.org/~eva/distfiles/${PN}/${P//_p*}-19-g61de83c.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+       app-crypt/seahorse
+       dev-libs/glib:2
+       >=net-dns/avahi-0.6:=
+       net-libs/libsoup:2.4
+       >=x11-libs/gtk+-3:3
+
+       >=app-crypt/gpgme-1
+       >=app-crypt/gnupg-1.4
+"
+RDEPEND="${COMMON_DEPEND}
+       !<app-crypt/seahorse-3.2
+"
+# ${PN} was part of seahorse before 3.2
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/intltool-0.35
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/${PN}-3.8.0"
+
+src_prepare() {
+       DOCS="AUTHORS MAINTAINERS NEWS" # ChangeLog has nothing useful
+       # Do not pass --enable-tests to configure - package has no tests
+
+       gnome2_src_prepare
+
+       # Drop stupid CFLAGS
+       # FIXME: doing configure.ac triggers maintainer mode rebuild
+       sed -e 's:$CFLAGS -g -O0:$CFLAGS:' \
+               -i configure || die "sed failed"
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       if ! has_version net-dns/avahi && \
+               ! rc-config list default | grep -q "avahi-daemon" ; then
+               elog "To use ${PN}, the Avahi daemon must be running. On an 
OpenRC"
+               elog "system, you can start the Avahi daemon by"
+               elog "# /etc/init.d/avahi-daemon start"
+               elog "To start Avahi automatically, add it to the default 
runlevel:"
+               elog "# rc-update add avahi-daemon default"
+       fi
+}

Reply via email to